# Chaussette: A symbolic execution tool for Bitcoin scripts
A symbolic executor for Bitcoin scripts.

Please refer to the [official paper](https://orbi.uliege.be/handle/2268/305862) for an overview of the tool and results obtained with it.

## Run the tool on the preconfigures tests
The best way to start playing with the tool is probably to look at the tests located at [tests/language/bitcoin/test_parser.py](tests/language/bitcoin/test_parser.py).

Once [Docker](https://docs.docker.com/engine/install/) is installed, those tests can easily be run with the following command:
```
make
```

More information on make is available at [gnu.org](https://www.gnu.org/software/make/).

This prior command will take care of generating a container with all the necessary libraries to run the code.

Our tool is known to have a very low rate of false positives and negatives (refer to the paper), but still contain some. Some tests which are currently encoded are expected to fail. Currently, I haven't plan to fix those errors.

![failed_tests_screenshot](pics/failed_tests_screenshot.png)