"""Custom exception for language."""


class InvalidOpCode(Exception):
    """Raised when attempting to tokenify an unknown opcode."""

    def __init__(self, message: str):
        """Init the exception."""
        super().__init__(message)


class IncompleteIfEndIfClause(Exception):
    """Raised when the number of OP_IF is equal to the number of OP_ENDIF"""

    def __init__(self, message: str):
        """Init the exception."""
        super().__init__(message)
